'use strict';

var exec = require('./exec');
var Tool = require('./tool');

exports.status = function (appPath, cb) {

	if (!appPath) {
		// if not provided, it will try to check its own status
		appPath = exec.appPath;
	}

	var tool = new Tool(appPath);
	tool.setup(function (error) {
		if (error) {
			return cb(error);
		}
		tool.getStatus(function (error, data, plist) {
			if (error) {
				return cb(error);
			}
			cb(null, data, plist);
		});
	});
};
